//+------------------------------------------------------------------+
//|                                   KG_JPY_Basket_Long_NotIBFX.mq4 |
//|                                  Copyright  2008, Steve Hopwood |
//|                              http://www.hopwood3.freeserve.co.uk |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Steve Hopwood"
#property link      "http://www.hopwood3.freeserve.co.uk"
#property show_inputs
#include <WinUser32.mqh>
#include <stdlib.mqh>

extern double  Lot = 0.01;
extern int     MagicNumber=274693;
extern string  TradeComment="KG";
extern string  PairSuffix="";
extern bool    AllowDuplicateTrades=false;
extern bool    TradeUSD=true;
extern bool    TradeEUR=true;
extern bool    TradeGBP=true;
extern bool    TradeCHF=true;
extern bool    TradeAUD=true;
extern bool    TradeNZD=true;

bool CheckIfTradeAlreadyExists(string symbol)
   {
      if (AllowDuplicateTrades) return(false);
      if (OrdersTotal()==0) return(false);
      for (int cc=0; cc<OrdersTotal();cc++)
      {
         OrderSelect(cc, SELECT_BY_POS);
         if (OrderSymbol()==symbol && OrderMagicNumber()==MagicNumber) return(true);
      }
      return(false);
   
   }// end bool CheckTrendExists()

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
   
   int TradesSent=0;
   string symbol;
   
   symbol = StringConcatenate("USDJPY", PairSuffix);
   bool TradeExists = CheckIfTradeAlreadyExists(symbol);
   if (!TradeExists && TradeUSD) 
   {
      int ticket = OrderSend(symbol,OP_BUY, Lot, MarketInfo(symbol,MODE_ASK), 10, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
      if (ticket > -1) TradesSent++;
   }
   
   symbol = StringConcatenate("EURJPY", PairSuffix);
   TradeExists = CheckIfTradeAlreadyExists(symbol);
   if (!TradeExists && TradeEUR) 
   {
      ticket = OrderSend(symbol,OP_BUY, Lot, MarketInfo(symbol,MODE_ASK), 10, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
      if (ticket > -1) TradesSent++;
   }
   
   symbol = StringConcatenate("GBPJPY", PairSuffix);
   TradeExists = CheckIfTradeAlreadyExists(symbol);
   if (!TradeExists && TradeGBP) 
   {
      ticket = OrderSend(symbol,OP_BUY, Lot, MarketInfo(symbol,MODE_ASK), 10, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
      if (ticket > -1) TradesSent++;
   }
   
   symbol = StringConcatenate("CHFJPY", PairSuffix);
   TradeExists = CheckIfTradeAlreadyExists(symbol);
   if (!TradeExists && TradeCHF) 
   {
      ticket = OrderSend(symbol,OP_BUY, Lot, MarketInfo(symbol,MODE_ASK), 10, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
      if (ticket > -1) TradesSent++;
   }
   
   symbol = StringConcatenate("AUDJPY", PairSuffix);
   TradeExists = CheckIfTradeAlreadyExists(symbol);
   if (!TradeExists && TradeAUD) 
   {
      ticket = OrderSend(symbol,OP_BUY, Lot, MarketInfo(symbol,MODE_ASK), 10, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
      if (ticket > -1) TradesSent++;
   }
   
   symbol = StringConcatenate("NZDJPY", PairSuffix);
   TradeExists = CheckIfTradeAlreadyExists(symbol);
   if (!TradeExists && TradeNZD) 
   {
      ticket = OrderSend(symbol,OP_BUY, Lot, MarketInfo(symbol,MODE_ASK), 10, NULL, NULL, TradeComment, MagicNumber, 0, CLR_NONE);
      if (ticket > -1) TradesSent++;
   }
   
   
   MessageBox("This script opened " + TradesSent + " trades.","Information");
   
   return(0);
  }
//+------------------------------------------------------------------+